package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantDevice implements Serializable {
    private Integer id;

    private String name;

    private String type;

    private String introdesc;

    private Integer status;

    private Date createdt;

    private String merchantcode;

    private String merchantname;

    private Integer userid;

    private String sn;

    private String vendercode;

    private String vendermodel;

    private String orderno;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getIntrodesc() {
        return introdesc;
    }

    public void setIntrodesc(String introdesc) {
        this.introdesc = introdesc == null ? null : introdesc.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn == null ? null : sn.trim();
    }

    public String getVendercode() {
        return vendercode;
    }

    public void setVendercode(String vendercode) {
        this.vendercode = vendercode == null ? null : vendercode.trim();
    }

    public String getVendermodel() {
        return vendermodel;
    }

    public void setVendermodel(String vendermodel) {
        this.vendermodel = vendermodel == null ? null : vendermodel.trim();
    }

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno == null ? null : orderno.trim();
    }
}